Update a Task

No Credit Cost

This endpoint doesn't consume Apollo credits. Learn more about API pricing and credits.

Tasks let you track, prioritize, and help you complete actions required for your outbound sales motion.

Use the Update a Task endpoint to change the details of an existing task that belongs to your team's Apollo account.

To find task IDs, use the Search for Tasks endpoint and identify the id value for the task you want to update.

The fields you can update depend on the task's current status. For a task with a scheduled status, you can update any of the parameters listed below. For a task that's already completed or skipped, you can only update note, priority, priority_cd, and contact_id.

To mark a task as done, use the Complete a Task or Skip a Task endpoints instead of setting status here.

⚠️

Omitting priority or creator_id resets them

If the task you're updating has a scheduled status, and your request doesn't include a priority or creator_id parameter, Apollo resets priority to medium and creator_id to the user associated with your API key — even if you didn't intend to change those fields. To avoid this, always include the task's current priority and creator_id in every update request, even when you're only changing an unrelated field like note.

Path Params
string
required

The Apollo ID for the task.

To find task IDs, call the Search for Tasks endpoint and identify the id value for the task.

Example: 67a1b2c3d4e5f60001234567

Body Params
string

The ID for the task owner within your team's Apollo account. Only applies to tasks with a scheduled status.

Example: 66302798d03b9601c7934ebf

string

The ID of the user considered the creator of this task. Only applies to tasks with a scheduled status.

If this task currently has a scheduled status and you omit this parameter, Apollo resets it to the user associated with your API key.

Example: 60affe7d6e270a00f5db6fe4

string

The Apollo ID for the contact you want on the receiving end of the action.

Example: 66e34b81740c50074e3d1bd4

string

A description for the task. This should be a human-readable message.

Example: This contact expressed interest in the Sequences feature specifically. Be prepared to discuss.

string

Only applies to tasks with a scheduled status. Set the task to 1 of the following task types:

  • call: Call the contact.
  • outreach_manual_email: Email the contact.
  • linkedin_step_connect: Send a LinkedIn invitation to connect with the contact.
  • linkedin_step_message: Send a direct message to the contact's LinkedIn profile.
  • linkedin_step_view_profile: View the contact's LinkedIn profile.
  • linkedin_step_interact_post: Interact with the contact's recent LinkedIn posts.
  • action_item: Take generic action for the contact.

string
Defaults to medium

Assign a priority to the task: high, medium, or low.

If this task currently has a scheduled status and you omit this parameter, Apollo resets its priority to medium.

string

Numeric-coded alternative to priority. Only applies to tasks that are not scheduled (already completed or skipped).

string

Only applies to tasks with a scheduled status. To mark a task done, use the Complete a Task or Skip a Task endpoints instead of setting this directly.

Example: scheduled

date-time

Only applies to tasks with a scheduled status. The full date and time when the task is due, in ISO 8601 format.

Example: 2025-02-15T08:10:30Z

string

Only applies to tasks with a scheduled status. A title for the task.

Example: Follow up on demo request

string

Only applies to tasks with a scheduled status. A call script or talking points for a call type task.

relevant_fields
array

Only applies to tasks with a scheduled status. Names of team-defined relevant fields to surface for this task.

relevant_fields
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain